-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: critnib
Binary: libcritnib-dev, libcritnib1
Architecture: any
Version: 1.1-2
Maintainer: Adam Borowski <kilobyte@angband.pl>
Homepage: https://github.com/kilobyte/critnib
Description: ordered map data structure with lock-free reads
 Critnib is a data structure that provides a very fast equal and
 less-than/greater-than searches; it is a mix between DJBerstein's
 critbit and radix trees.  While in bad cases it has worse memory use
 than binary trees, it works well on real-life data which tends to
 have a limited number of "decision bits":
  * fully random: divergence happens immediately
  * malloc addresses: clumps of distinct bits in the middle
  * sequences: only lowest bits are filled
 .
 This library ships only uintptr_t→uintptr_t mappings, optimized for
 reads from a very critical section but not so frequent writes.  Other
 variants also exist (such as fully lock-free writes, keys of arbitrary
 length), and can be added upon request.
Standards-Version: 4.6.0
Vcs-Browser: https://github.com/kilobyte/critnib/tree/debian
Vcs-Git: https://github.com/kilobyte/critnib -b debian
Testsuite: autopkgtest
Testsuite-Triggers: gcc, libc-dev, valgrind
Build-Depends: debhelper-compat (= 13), cmake
Package-List:
 libcritnib-dev deb libdevel optional arch=any
 libcritnib1 deb libs optional arch=any
Checksums-Sha1:
 8d7d263194d49d675c99987218639ef8b81f4b4c 15210 critnib_1.1.orig.tar.gz
 6ceda04f6134d5afd9d8e9b03ef1b1cea222bc0b 3092 critnib_1.1-2.debian.tar.xz
Checksums-Sha256:
 1e5b65f815b0c23f74ce70cfcc2d8c9570cebc17a70e2a2e6e894c1b68297354 15210 critnib_1.1.orig.tar.gz
 eccc0e56dbe500da4b813afb150105994174d555e9c5c14f1dc357133c505dea 3092 critnib_1.1-2.debian.tar.xz
Files:
 1f7519c96e73b3df693541cf03fa17b5 15210 critnib_1.1.orig.tar.gz
 a29a21231c03ab2eb22a8bd906133538 3092 critnib_1.1-2.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEkjZVexcMh/iCHArDweDZLphvfH4FAmGrzVUACgkQweDZLphv
fH5qRRAAp54T+yjsCJSSGd+/FjB1yMXFG4RKu7fj30rIWc38Dohzx5E111atGzob
M6qzEW0rOuNtCotcyUYxdH3zo7WKRuW4EVcFVaZ3b08hoDI6Yc8DJg5OZP+T1ABT
vClzQ1jWmzFkPQq3tNlWyAeYL2mAK/XxepzvzJDBd5S9V6+dVmmWUFnLgBC78WzI
JAknkNZtzMP8qv+tHxpcGlsLs2jLJ9T71byDjllC/Ddlsc5D20hZqD/Pyf02Q8ZF
yhJ8pW+oePjPEu5xCKvi1pi051IPKaPzYJPuwI8UTmsycm0bGP/dA1eHTcXPO+0v
hie4IcpSP577Y4s+QzotquHAuwY/1vWH+Z7+k8tlsWAXR4iAQ+yzeK61pO+NpLh1
g8zc1RUAB5k1htdJ7Hj7VYUqyxtFdD2Vxf4iJxBWsCcQ/6hlHQax7XRkNhEP6CLI
kuUkONcJRAs9sMwwzbD47k1wJMk7S6ZN2MS6c7xy/dcsNNbmGC5TKKVVBxyO3zc/
nws6JPfvPnJ7ZNo3wtb0AMoQWcUYYCfi8pF41ksVpmbOqeqyyS13RlRz7vIB6Efo
x4FPeq6SbgXjlpu57lF+UBOMbYZ1CKjeSKSMbAcneDsPqZ6vjTG2HdGgowol5SLU
4GFELGw4umzLfTL5zVFPVKc+QRbsOCV5W3ZbwOWwsoYOst80R3g=
=Lp3w
-----END PGP SIGNATURE-----
